{% extends 'base.html.twig' %}

{% block title %}Article index{% endblock %}

{% block body %}
    <h1>Article index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>CreatedAt</th>
                <th>Image</th>
                <th>Resume</th>
                <th>Content</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for article in articles %}
            <tr>
                <td>{{ article.id }}</td>
                <td>{{ article.title }}</td>
                <td>{{ article.createdAt ? article.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ article.image }}</td>
                <td>{{ article.resume }}</td>
                <td>{{ article.content }}</td>
                <td>
                    <a href="{{ path('article_show', {'id': article.id}) }}">show</a>
                    <a href="{{ path('article_edit', {'id': article.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('article_new') }}">Create new</a>
{% endblock %}
